Miru

Monitors

Test a Monitor

Use the API to test a monitor in your workspace.

Testing a monitor allows you to ping a monitor without storing the result. This is useful for verifying that the monitor is set up correctly and can successfully ping the specified URL.

Required Permissions

  • monitors.read

Example Request

If the provided ID is valid, this request will return the details of the monitor.

curl -X GET "https://status.example.com/api/v1/monitor/pAbfD8udMmgzPdXx/test" \
  -H "x-api-key: YOUR_API_KEY"

Response

If the API key is valid, hasn't expired, and has the monitors.read permission, the API will return a JSON response with the details of the monitor.

{
	"error": false,
	"message": "Connection established with tygr.dev."
}

Error Response

If there is a problem with the request, the API will return a JSON response with an error message.

{
	"error": true,
	"message": "Couldn't establish a connection to tygr.dev."
}

Types

The API will return a JSON response that can include the following values:

Response

Prop

Type